Manage Endpoint
Manage an endpoint. Possible action is reconnect with the endpoint. Reconnect action can be used to update the certificate of the endpoint.
Endpoint UUID
Action that needs to be taken on the endpoint. Supported action is 'reconnect'
Endpoint action details. For reconnect action, only username, password and certificate fields will be used. All other fields will be ignored.
{
"_create_user": "string",
"_create_time": 0,
"_last_modified_user": "string",
"_last_modified_time": 0,
"_revision": 0,
"_resource_type": "string",
"_system_owned": false,
"id": "string",
"display_name": "string",
"description": "string",
"site_ids": [
"string"
],
"endpoint_type": "string",
"connection_info": {
"connection_type": "string",
"hostname": "string"
},
"status": "string"
}
Requested action on endpoint is successful.
Bad Request
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Unauthorized
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Forbidden
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Precondition Failed
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Precondition Required
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Too Many Requests
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
unexpected error
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/licensing/endpoints/{endpoint-id}